import type { string_url } from '../../types/typeAliases';
import type { FileSecurityChecker } from '../FileSecurityChecker';
import type { FileSecurityCheckResult } from '../FileSecurityCheckResult';
/**
 * File security checker that uses VirusTotal API.
 *
 * @see https://developers.virustotal.com/reference/overview
 * @public exported from `@promptbook/core`
 */
export declare class VirusTotalFileSecurityChecker implements FileSecurityChecker {
    private readonly apiKey;
    /**
     * @param apiKey VirusTotal API key
     */
    constructor(apiKey: string);
    /**
     * @inheritdoc
     */
    get id(): string;
    /**
     * @inheritdoc
     */
    get title(): string;
    /**
     * @inheritdoc
     */
    get description(): string;
    /**
     * @inheritdoc
     */
    checkConfiguration(): Promise<void>;
    /**
     * @inheritdoc
     */
    checkFile(fileUrl: string_url): Promise<FileSecurityCheckResult>;
}
